curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/points-expiration/export \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"fields": [
"id",
"campaign_id",
"voucher_id",
"status",
"expires_at",
"points"
],
"order": "-expires_at",
"filters": {
"junction": "and",
"voucher_id": {
"conditions": {
"$in": [
"v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"v_YLn0WVWXSXbUfDvxgrgUbtfJ3SQIY655"
]
}
}
}
}
}
'{
"id": "exp_zC3eXAFss17XTMzMkkov4KGq",
"object": "export",
"created_at": "2022-11-28T13:00:23.621Z",
"status": "SCHEDULED",
"channel": "API",
"exported_object": "points_expiration",
"parameters": {
"order": "-expires_at",
"fields": [
"id",
"campaign_id",
"voucher_id",
"status",
"expires_at",
"points"
],
"filters": {
"junction": "and",
"voucher_id": {
"conditions": {
"$in": [
"v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"v_YLn0WVWXSXbUfDvxgrgUbtfJ3SQIY655"
]
}
}
}
},
"result": null,
"user_id": null
}Export Loyalty Campaign Point Expiration
deprecated
Legacy loyalty API
This endpoint belongs to the legacy loyalty API (/v1/loyalties).
Voucherify will not develop new features for this API. However, critical issues may still receive fixes.
For new integrations, use Loyalty v2.
If you have questions, contact Voucherify support.
Schedule the generation of a point expiration CSV file for a particular campaign. It can list point buckets, which can have an ACTIVE or EXPIRED status.
POST
/
v1
/
loyalties
/
{campaignId}
/
points-expiration
/
export
curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/points-expiration/export \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"fields": [
"id",
"campaign_id",
"voucher_id",
"status",
"expires_at",
"points"
],
"order": "-expires_at",
"filters": {
"junction": "and",
"voucher_id": {
"conditions": {
"$in": [
"v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"v_YLn0WVWXSXbUfDvxgrgUbtfJ3SQIY655"
]
}
}
}
}
}
'{
"id": "exp_zC3eXAFss17XTMzMkkov4KGq",
"object": "export",
"created_at": "2022-11-28T13:00:23.621Z",
"status": "SCHEDULED",
"channel": "API",
"exported_object": "points_expiration",
"parameters": {
"order": "-expires_at",
"fields": [
"id",
"campaign_id",
"voucher_id",
"status",
"expires_at",
"points"
],
"filters": {
"junction": "and",
"voucher_id": {
"conditions": {
"$in": [
"v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"v_YLn0WVWXSXbUfDvxgrgUbtfJ3SQIY655"
]
}
}
}
},
"result": null,
"user_id": null
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
Path Parameters
Body
application/json
Specify the data filters, types of data to return and order in which the results should be returned.
Response
200 - application/json
Returns an object with the export ID of the scheduled generation of CSV file with exported points expirations. You can use either the Download Export endpoint to download the CSV file.
Object representing an export of points expirations.

